Loading ...
Sorry, an error occurred while loading the content.

Installation of PHP extension expect

Expand Messages
  • Prabhat Maurya
    Hi All, I m trying to install php extension expect on rocks cluster5.o (CentOS 5). when i run pear install http://pecl.php.net/get/expect-0.2.4.tgz or pecl
    Message 1 of 1 , Aug 5, 2008
    • 0 Attachment
      Hi All,

      I m trying to install php extension expect on rocks cluster5.o (CentOS
      5).

      when i run

      pear install http://pecl.php.net/get/expect-0.2.4.tgz
      or
      pecl install http://pecl.php.net/get/expect-0.2.4.tgz
      or



      commands then it give following errors-
      ------------------------------------------------------------------------\
      -------------------------------
      gcc -shared .libs/expect.o .libs/expect_fopen_wrapper.o -lexpect
      -Wl,-soname -Wl,expect.so -o .libs/expect.so
      /usr/bin/ld: cannot find -lexpect
      collect2: ld returned 1 exit status
      make: *** [expect.la] Error 1
      ERROR: `make' failed

      ------------------------------------------------------------------------\
      -------------------------------
      same error is come when i try to install by make command
      phpize
      ./configure
      make

      Currently OS has
      php version - PHP 5.1.6 (cli)
      expect version - 5.43.0
      and
      expect library- libexpect5.43.so (for x86_64 and i386 bith arch)

      when i create link file name libexpect.so for libexpect5.43.so the
      package is sucessfully install but still it not install php function
      expect_expect
      <http://phpbuilder.com/manual/en/function.expect-expectl.php> and
      expect_popen <http://phpbuilder.com/manual/en/function.expect-popen.php>

      Thanks in advance

      Prabhat Kumar












      [Non-text portions of this message have been removed]
    Your message has been successfully submitted and would be delivered to recipients shortly.